﻿@model List<OperationalRiskException.Core.ViewModels.ReportModel>
@{
    ViewBag.Title = "Report View";
    Layout = "~/Views/Shared/_LayoutProcessor.cshtml";
}


<div class="row">
    <div class="col-md-12 grid-margin">
        <div class="d-flex justify-content-between flex-wrap">
            <div class="d-flex align-items-end flex-wrap">
                <div class="d-flex">
                    <i class="mdi mdi-home text-muted hover-cursor"></i>
                    <p class="text-muted mb-0 hover-cursor">&nbsp;/&nbsp; Report Management &nbsp;/&nbsp;</p>
                    <p class="text-primary mb-0 hover-cursor">View</p>
                </div>
            </div>

        </div>
    </div>
</div>


<div class="row">
    <div class="col-md-12 grid-margin stretch-card">
        <div class="card tablecontainer">
            <div class="card-body">
                <h4 class="card-title"></h4>
                <p class="card-description">
                    Report
                </p>

                <p class="card-description">
                    Department/Branch := @ViewBag.Dept
                </p>
                <div class="form-group col-md-12 justify-content-end mt-3 mr-5 mb-3">
                    <button type="button" onclick="ExportToExcel('reportTable');" class="btn btn-success pull-right">Download View</button>
                </div>


                <div class="table-responsive pt-3">
                    <table class="table table-bordered" id="reportTable">
                        <thead>
                            <tr>

                                <th>
                                    Category Name
                                </th>
                                <th>
                                    Category Score
                                </th>


                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var items in Model)
                            {
                                <tr>

                                    <td>
                                        @items.CategoryName
                                    </td>
                                    <td>
                                        @items.CategoryScore
                                    </td>


                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
            function ExportToExcel(tag) {
                debugger;
                var htmltable = document.getElementById(tag);
                var html = htmltable.outerHTML;
                window.open('data:application/vnd.ms-excel,' + encodeURIComponent(html));
            };
</script>